• Software Engineer at WSO2 Inc.

  • A graduate specialized in Computer Science & Engineering from
    University of Moratuwa;

  • DocBook Committer;

  • Gentoo Linux contributor;

  • Google Summer of Code mentor (2012) and former participant (2010, 2011)!

Dec
31
comment WSO2 API Manager with F5
If you already have a load balancer, you can go ahead with that. You do not need to bring the ELB into the picture.
Dec
31
comment WSO2 API Manager with F5
Let me try to answer the questions as I see. 2) You need to use deployment synchronizer to sync the apis across the nodes. There's a separate page on cluster guide for this. 3) This is interesting. I just tested this w/ apache httpd, and it seems to work fine for me. I hope that you have set proxyPort for both the connectors in catalina-server.xml.
Dec
19
answered WSO2 API Manager with F5
Dec
19
comment Disable user account in WSO2 Identity Server
What's the user store that you are using? Is it the default jdbc based userstore or a LDAP?
Dec
11
revised API Manager throws error when trying to view api statistics
there are other insert queries that needs to be modified in addition to the example shown
Dec
9
awarded Revival
Nov
18
awarded Civic Duty
Nov
5
answered When a list has only one element, CXF return the object instead a js array
Oct
30
answered HTTP access log is not logging custmized pattern in wso2 servers
Oct
24
answered Creating Proxy Service in WSO2 Dev Studio With UsernameToken Security?
Oct
5
comment Maven 3 warnings about build.plugins.plugin.version
Dead link. The new working link is cwiki.apache.org/confluence/display/MAVEN/…
Sep
28
comment WSO2 application server 5.2.1 in TOMCAT Mode won't run Liferay portal 6.2 GA2 CE
What's the error you get?
Sep
24
awarded Autobiographer
Sep
3
awarded Good Answer
Aug
27
awarded Popular Question
Aug
27
answered WSO2 ESB 4.8.1 Error when adding new datasource
Aug
26
comment WSO2 Registry Tool Feedback
Did you mean the WSO2 Governance Registry?
Aug
22
comment Not able to build WSO2 orbit, kernel 4.2.0 and platform 4.1.7
Not sure what exactly the issue is.. Somehow, the integration tests pom has a parent pom reference 4.1.0 but it should be 4.2.0. But I guess you can comment out the integration module if you are not planning to run product integration tests.
Aug
22
revised client for secured proxy service?
adding pw callback handler class
Aug
21
comment Not able to build WSO2 orbit, kernel 4.2.0 and platform 4.1.7
Yes.. There were known issues when building with Maven 3.2.x due to incompatibilities between Maven versions.
1 2 3 4 5